- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Models::Base::Io::SaveLoad::ReferenceSerializer Class Reference

`#include <ReferenceSerializer.h>`

Collaboration diagram for Mers::Models::Base::Io::SaveLoad::ReferenceSerializer:

[legend]
List of all members.

## Public Member Functions
| ReferenceSerializer (ns_BaseModel::BaseModel *model=NULL)
void | saveLoad (ns_SaveLoad::ISaveLoad *sl, const char *name, const ns_BaseModel::BaseModelVariable *&var)
void | saveLoad (ns_SaveLoad::ISaveLoad *sl, const char *objName, ns_BaseModel::BaseModelVariable *&var)
## Static Public Member Functions
static const char * | getTypeName (const ns_BaseModel::BaseModelVariable *var)
## Protected Attributes
ns_BaseModel::BaseModel * | m_model
| This model is needed for context when loading BaseModels.

## Detailed Description

This class is responsible for serializing references to BaseModel objects. The objects must all already exist, as this class will not create them if they cannot be found in the model.

Definition at line 67 of file ReferenceSerializer.h.

## Constructor & Destructor Documentation

ReferenceSerializer::ReferenceSerializer | ( | ns_BaseModel::BaseModel * | model = `NULL` | ) |

Constructs this

Definition at line 29 of file ReferenceSerializer.cpp.

## Member Function Documentation

const char * ReferenceSerializer::getTypeName | ( | const ns_BaseModel::BaseModelVariable * | var | ) | `[static]`

Returns this object's name.

Definition at line 37 of file ReferenceSerializer.cpp.

void Mers::Models::Base::Io::SaveLoad::ReferenceSerializer::saveLoad | ( | ns_SaveLoad::ISaveLoad * | sl,
|  | const char * | name,
|  | const ns_BaseModel::BaseModelVariable *& | var |
| ) |  |  |

Save-loads a single const BaseModelVariable.

void Mers::Models::Base::Io::SaveLoad::ReferenceSerializer::saveLoad | ( | ns_SaveLoad::ISaveLoad * | sl,
|  | const char * | objName,
|  | ns_BaseModel::BaseModelVariable *& | var |
| ) |  |  |

Save-loads a single BaseModelVariable.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Models/Base/Io/SaveLoad/ReferenceSerializer.h
- /Users/fpy/titan-1-5-MBARI/Mers/Models/Base/Io/SaveLoad/ReferenceSerializer.cpp